{% extends 'base.html.twig' %}

{% block title %}Live Center{% endblock %}

{% block content %}
    <div class="container-fluid my-4">
        <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="/"><i class="fa fa-home"></i></a></li>
                        <li class="breadcrumb-item active" aria-current="page">Live center</li>
                    </ol>
                </nav>

                <h1><i class="fa fa-broadcast-tower"></i> Live center</h1>
                <h3><small class="text-muted">Suivez les résultats des courses organisées par Quimper Orientation en direct sur cette page.</small></h3>

                {% for event in events %}
                    <div class="my-5">
                        <h2>
                            <span class="text-secondary">{{ event.entity.dateBegin|format_datetime('full', 'medium', locale='fr')|capitalize }}</span>
                            {{ event.entity.title }}
                        </h2>
                        {% if event.file.updatedAt is not empty %}
                            <p class="text-muted">Résultats mis à jour le {{ event.file.updatedAt|format_datetime('full', 'medium', locale='fr') }}</p>
                            <div class="mt-4">
                                <a class="d-block d-md-inline btn btn-lg btn-primary" href="{{ '/live/%s.html'|format(event.entity.id) }}" target="_blank">Voir les résultats</a>
                                <a class="d-block d-md-inline text-info ml-0 ml-md-4 mt-2 mt-md-0" href="{{ path('pi_crud_show', {'id': event.entity.id, 'type': 'event', 'slug': event.entity.slug}) }}">Aller sur la page de l'événement</a>
                            </div>
                        {% else %}
                            <p class="text-muted">Aucun résultats disponibles pour cet événement, actualisez la page ultérieurement.</p>
                            <a class="d-block d-md-table-cell btn btn-info" href="{{ path('pi_crud_show', {'id': event.entity.id, 'type': 'event', 'slug': event.entity.slug}) }}">Aller sur la page de l'événement</a>
                        {% endif %}
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}